<?
/*nastavení proměnné*/
$clanek = $_GET['clanek'];

/*vypsání vybraného článku*/
if(isset ($clanek)){
include("publikace/clanky/$clanek.php");
        echo "<div class=\"case\">";
        echo "<h1>$nadpis</h1>";
        echo "<span class=\"info\">$date</span><br>";
        echo "$obsah_clanku";
        echo "<span class=\"info_2\">Rubrika: <a href=\"index.php?id=rubrika&rubrika=$rub\">$rub</a> | Celý článek: $odkaz</span></span><br>";
        echo "</div>";
}

/*vypsání všech článků*/
elseif(!isset($clanek)){

/*zjistí se zda nějaké články existují*/
$pocet = count(scandir("publikace/clanky/")) - 3;

/*pokud články neexistují, vypíše se informační text*/
if($pocet == 0){
echo "<div id=\"info\">Žádné články nenalezeny!</div>";
}

/*pokud články existují, začnou se vypisovat*/
elseif($pocet >= 1){
include("publikace/clanky/clanky.php");
$smazano=explode(",",$clanky["smazano"]);


for ($i = $clanky["publikovano"]; $i >=1 ; $i--) { 
    if(!in_array($i, $smazano))
    {
include ("publikace/clanky/cla$i.php");
        include ("publikace/clanky/cla$i.php");
        echo "<div class=\"case\"";
        echo "<h1>$odkaz</h1>";
        echo "<span class=\"info\">$date</span><br>";
        echo "<p>$popis_clanku</p>";
        echo "<span class=\"info_2\">Rubrika: <a href=\"index.php?id=rubrika&rubrika=$rub\">$rub</a> | Celý článek: $odkaz</span><br>";
        echo "</div>";
        }
}
}
}
?>